Subject: Re: [Gen-art] [IANA #818133] Last Call: <draft-ietf-idr-flowspec-redirect-rt-bis-03.txt> (Clarification of the Flowspec Redirect Extended Community) to Proposed Standard

From: Jeff Haas <[email-masked]>
Date: Fri, 10 Apr 2015 17:11:43 -0400

+gen-art review who noted similar issues in the registration policy

On Apr 10, 2015, at 12:37 PM, Pearl Liang via RT <[email-masked]> wrote:

> Hi Sue, and Jeff,
> 
> Thank you Sue for clarifying the timeline and the IANA actions.  Your instructions are very 
> clear.  Just a few nits/question.  
> 
> - Regarding the Form for new created registries:
> 
> Form: Sub-type Value, Name, Reference, Registration Type
> 
> Can you clarify what types of information will go to the element "Registration Type"
> in the BGP Extended Communities registry?

I believe Sue had intended this to match the form of the existing "Generic Transitive Experimental Use Extended Community Sub-Types" registry.  This includes sub-type value and name as fields with reference to the document and date.  Is that right, Sue?

> 
> - This is likely for Jeff.  I noticed now that the two new registrations for Part 2 
> Sub-Types and Part 3 Sub-Types have different names in the IC section:
> 
> /snip/
> IANA is requested to create the "Generic Transitive Experimental Use
> Extended Community Part 2 Sub-Types" registry.  It should be seeded
>   with the following Sub-Type:
> 
>   0x08 - Flow spec redirect IPv4 format.
> 
>   IANA is requested to create the "Generic Transitive Experimental Use
>   Extended Community Part 3 Sub-Types" registry.  It should be seeded
>   with the following Sub-Type:
> 
>   0x08 - Flow spec redirect AS-4byte format.
> /snip/

I think the text was unclear.  The intention is to create two new registries in the form of the "Generic Transitive Experimental Use Extended Community Sub-Type".  The new registries are distinct in that the first octet value (the type) is 0x81 and 0x82 for Part 2 and Part 3 respectively.

Within each of those registries, there is a single entry registered,as per above.

Please see the attachment at the end of this mail for new proposed IANA Considerations text that I believe conveys this intent.  It contains all edits to date.

> 
> Please update the names to the one in Sue's comment if the names should 
> be consistent in both sub-regisries.
> 
> I'll let you work on the action items on your end.  If you have questions for us,
> please contact us.
> 
> Thanks,
> ~pl
> 
> 
> On Fri Apr 10 00:33:05 2015, [email-masked] wrote:
>> Pearl:
>> 
>> This is my understanding of what needs to change, and hopefully
>> answers all your questions.  I apologize that this draft got to you
>> without the new form.
>> 
>> I'll wait for an acknowledgement from Jeff that he is re-writing the
>> draft to cover these changes. Once Jeff has re-written the draft, this
>> draft will be 1 week WG LC to cover this change.  Please set your
>> timer to check on this in 2 week.
>> 
>> Answers to your questions:
>> O Action 1, Q1: the RFC should be [RFC5575, RFC-to-Be]
>> On Action 2, this is correct,  Please update the free space in the
>> registry to indicate only 0x83 to 0x8f are free.

Agreed.

>> 
>> On action 3, Q1:  Please create a new entry under the following web-
>> page
>> http://www.iana.org/assignments/bgp-extended-communities/bgp-extended-
>> communities.xhtml
>> 
>> Name the web page the following:
>> "Generic Transitive Experimental Use
>>  Extended Community Part 2 Sub-Types" registry.
>> 
>> Form: Sub-type Value, Name, Reference, Registration Type
>> 
>> Sub-Type Value  Name                     Reference  Registration-type
>> 0x00-0x07        TBD                         TBD
>> Standards action
>> 
>> 0x08               Flow Spec redirect
>>                       AS-4byte format      [This-RFC]   Standards
>> 
>> 0x09-0x40     TBD                            TBD             Standards
>> action
>> 0x41-0xff   Reserved

Sue, is there any reason to not use a similar registration range as the 0x80 range?  I.e.:
0x00-0xbf - FCFS
0xc0-0xff - IETF review?

>> 
>> 
>> On action 3, Q4:
>> Please create a new entry under the following web-page
>> http://www.iana.org/assignments/bgp-extended-communities/bgp-extended-
>> communities.xhtml
>> 
>> Name the web page the following:
>> "Generic Transitive Experimental Use
>>  Extended Community Part 3 Sub-Types" registry.
>> 
>> Form: Sub-type Value, Name, Reference, Registration Type
>> 
>> Example:
>> Sub-Type Value  Name                   Reference  Registration-type
>> 0x00-0x07        TBD                         TBD
>> Standards action
>> 
>> 0x08               Flow Spec redirect
>>                       AS-4byte format      [This-RFC]   Standards
>> 
>> 0x09-0x40     TBD                            TBD             Standards
>> action
>> 0x41-0xff   Reserved
>> 
>> 
>> Sue Hares
>> 
>> -----Original Message-----
>> From: Pearl Liang via RT [mailto:[email-masked]]
>> Sent: Tuesday, April 07, 2015 2:42 PM
>> Cc: [email-masked];
>> [email-masked]; [email-masked]
>> Subject: [IANA #814082] Last Call: <draft-ietf-idr-flowspec-redirect-
>> rt-bis-03.txt> (Clarification of the Flowspec Redirect Extended
>> Community) to Proposed Standard
>> 
>> (BEGIN IANA LAST CALL COMMENTS)
>> 
>> IESG/Authors/WG Chairs:
>> 
>> IANA has reviewed draft-ietf-idr-flowspec-redirect-rt-bis-03.  Authors
>> should review the comments and/or questions below.  Please report any
>> inaccuracies and respond to any questions as soon as possible.
>> 
>> IANA has several questions about some of the actions requested in the
>> IANA Considerations section of this document.
>> 
>> We received the following comments/questions from the IANA's reviewer:
>> 
>> IANA understands that, upon approval of this document, there are four
>> actions which IANA is required to complete.
>> 
>> First, in the Generic Transitive Experimental Use Extended Community
>> Sub-Types subregistry of the Border Gateway Protocol (BGP) Extended
>> Communities registry located at:
>> 
>> http://www.iana.org/assignments/bgp-extended-communities/
>> 
>> the existing registration for Type Value 0x08 will have its name
>> updated from:
>> 
>> Flow spec redirect
>> 
>> to:
>> 
>> Flow spec redirect AS-2byte format
>> 
>> and have the reference changed to [ RFC-to-be ]
>> 
>> QUESTION [1]:  This draft indicates that it updates RFC5575 according
>> to the header information in the draft.  Is the author intended to
>> remove the existing defining reference from the registry?
>> 
>> 
>> Second, in the BGP Transitive Extended Community Types subregistry
>> also in the Border Gateway Protocol (BGP) Extended Communities
>> registry located at:
>> 
>> http://www.iana.org/assignments/bgp-extended-communities/
>> 
>> two new registrations will be added as follows:
>> 
>> Type Value: 0x81
>> Name: Generic Transitive Experimental Use Extended Community Part 2
>> (Sub-Types are defined in the "Generic Transitive Experimental
>> Extended Community Part 2 Sub-Types" Registry)
>> Reference: [ RFC-to-be ]
>> 
>> Type Value: 0x82
>> Name: Generic Transitive Experimental Use Extended Community Part 3
>> (Sub-Types are defined in the "Generic Transitive Experimental
>> Extended Community Part 3 Sub-Types" Registry)
>> Reference: [ RFC-to-be ]
>> 
>> Third, a new registry is to be created called the "Generic Transitive
>> Experimental Use Extended Community Part 2 Sub-Types" registry.
>> 
>> IANA QUESTION [1]  -> Where should this new registry be located? Is it
>> a néw registry on the IANA Matrix or is it a subregistry of an
>> existing registry? If it is a subregistry of an existing registry, in
>> which registry will it be contained?  In the same BGP Extended
>> Communities located at http://www.iana.org/assignments/bgp-extended-
>> communities registry?
>> 
>> IANA QUESTION [2]  -> What rules should be used for maintenance of
>> this new registry? Please refer to RFC 5226 for guidance on how to
>> select and apply maintenance policy for a new registry.
>> 
>> QUESTION: [3] What is the range for this new Part 2 Sub-Types
>> registry?
>> 
>> QUESTION: [4] Is the author intended to use the same table format as
>> the existing sub-registry
>> "Generic Transitive Experimental Use Extended Community Sub-Types"
>> which has
>> the following columns: Sub-Type Value, Name, Reference, and
>> (Registration) Date?
>> 
>> IANA understands that there is a single initial registration in the
>> new registry as follows:
>> 
>> Type Value: 0x08
>> Name: Flow spec redirect IPv4 format
>> Reference: [ RFC-to-be ]
>> 
>> Fourth, a new registry is to be created called the "Generic Transitive
>> Experimental Use Extended Community Part 3 Sub-Types" registry.
>> 
>> IANA QUESTION [1] -> Where should this new registry be located? Is it
>> a néw registry on the IANA Matrix or is it a subregistry of an
>> existing registry? If it is a subregistry of an existing registry, in
>> which registry will it be contained?
>> 
>> IANA QUESTION [2] -> What rules should be used for maintenance of this
>> new registry? Please refer to RFC 5226 for guidance on how to select
>> and apply maintenance policy for a new registry.
>> 
>> QUESTION: [3] What is the range for this new Part 3 Sub-Types
>> registry?
>> 
>> QUESTION: [4] Is the author intended to use the same table format as
>> the existing sub-registry
>> "Generic Transitive Experimental Use Extended Community Sub-Types"
>> which has
>> the following columns: Sub-Type Value, Name, Reference, and
>> (Registration) Date?
>> 
>> IANA understands that there is a single initial registration in the
>> new registry as follows:
>> 
>> Type Value: 0x08
>> Name: FFlow spec redirect AS-4byte format
>> Reference: [ RFC-to-be ]
>> 
>> IANA understands that these four actions are the only ones required to
>> be completed upon approval of this document.
>> 
>> Note:  The actions requested in this document will not be completed
>> until the document has been approved for publication as an RFC. This
>> message is only to confirm what actions will be performed.
>> 
>> Please note that IANA cannot reserve specific values. However, early
>> allocation is available for some types of registrations. For more
>> information, please see RFC 7120.
>> 
>> Thanks,
>> 
>> Pearl Liang
>> ICANN
>> 
>> (END IANA LAST CALL COMMENTS)
>> 
>> 
>> On Wed Mar 18 20:33:49 2015, [email-masked] wrote:
>>> 
>>> The IESG has received a request from the Inter-Domain Routing WG
>>> (idr)
>>> to
>>> consider the following document:
>>> - 'Clarification of the Flowspec Redirect Extended Community'
>>>  <draft-ietf-idr-flowspec-redirect-rt-bis-03.txt> as Proposed
>>> Standard
>>> 
>>> The IESG plans to make a decision in the next few weeks, and solicits
>>> final comments on this action. Please send substantive comments to
>>> the
>>> [email-masked] mailing lists by 2015-04-08. Exceptionally, comments
>>> may
>>> be
>>> sent to [email-masked] instead. In either case, please retain the
>>> beginning of the Subject line to allow automated sorting.
>>> 
>>> Abstract
>>> 
>>> 
>>> This document clarifies the formatting of the the BGP Flowspec
>>> Redirect Extended Community, originally documented in RFC 5575
>>> (Dissemination of Flow Specification Rules).
>>> 
>>> 
>>> 
>>> 
>>> The file can be obtained via
>>> http://datatracker.ietf.org/doc/draft-ietf-idr-flowspec-redirect-rt-
>>> bis/
>>> 
>>> IESG discussion can be tracked via
>>> http://datatracker.ietf.org/doc/draft-ietf-idr-flowspec-redirect-rt-
>>> bis/ballot/
>>> 
>>> 
>>> No IPR declarations have been submitted directly on this I-D.
> 
>

---

From: "Susan Hares" <[email-masked]>
Date: Fri, 10 Apr 2015 17:45:51 -0400

Jeff:

Answer below.  Please note if we specify the ranges you seek, we will need
to go through WG LC.  It can run in parallel with the other calls. 

Sue 

-----Original Message-----
From: Jeff Haas [mailto:[email-masked]] 
Sent: Friday, April 10, 2015 5:12 PM
To: [email-masked]
Cc: [email-masked];
[email-masked]; Alvaro Retana (aretana); Mach Chen; Susan Hares;
General Area Review Team
Subject: Re: [IANA #818133] Last Call:
<draft-ietf-idr-flowspec-redirect-rt-bis-03.txt> (Clarification of the
Flowspec Redirect Extended Community) to Proposed Standard

On Apr 10, 2015, at 12:37 PM, Pearl Liang via RT <[email-masked]>
wrote:

> Hi Sue, and Jeff,
> 
> Thank you Sue for clarifying the timeline and the IANA actions.  Your 
> instructions are very clear.  Just a few nits/question.
> 

I believe Sue had intended this to match the form of the existing "Generic
Transitive Experimental Use Extended Community Sub-Types" registry.  This
includes sub-type value and name as fields with reference to the document
and date.  Is that right, Sue?

Sue: Yes this was my understanding of your intent.  Did you have any other
intent? 

> 
> - This is likely for Jeff.  I noticed now that the two new 
> registrations for Part 2 Sub-Types and Part 3 Sub-Types have different
>   0x08 - Flow spec redirect AS-4byte format.

I think the text was unclear.  The intention is to create two new registries
in the form of the "Generic Transitive Experimental Use Extended Community
Sub-Type".  The new registries are distinct in that the first octet value
(the type) is 0x81 and 0x82 for Part 2 and Part 3 respectively.

Within each of those registries, there is a single entry registered,as per
above.

Please see the attachment at the end of this mail for new proposed IANA
Considerations text that I believe conveys this intent.  It contains all
edits to date.

> 
> Please update the names to the one in Sue's comment if the names 
> should be consistent in both sub-regisries.
> 
> I'll let you work on the action items on your end.  If you have 
> questions for us, please contact us.
> 
> Thanks,
> ~pl
> 
> 
>> draft to cover these changes. Once Jeff has re-written the draft, 
>> this draft will be 1 week WG LC to cover this change.  Please set 
>> your timer to check on this in 2 week.
>> 
>> O Action 1, Q1: the RFC should be [RFC5575, RFC-to-Be] On Action 2, 
>> this is correct,  Please update the free space in the registry to 
>> indicate only 0x83 to 0x8f are free.

Agreed.

>> 0x09-0x40     TBD                            TBD             Standards

Sue, is there any reason to not use a similar registration range as the 0x80
range?  I.e.:
0x00-0xbf - FCFS
0xc0-0xff - IETF review?

Sue: I am fine with use but it was not spelled out in the draft.  If this is
the range, we will need a 2 Week LC to confirm this range for both types for
both types. Revise the draft so IANA can confirm, and I'll start the 2 WG LC
in parallel with the other processes. 

>> IANA has reviewed draft-ietf-idr-flowspec-redirect-rt-bis-03.  
>> Authors should review the comments and/or questions below.  Please 
>> report any inaccuracies and respond to any questions as soon as possible.
>> 
>> IANA QUESTION [1]  -> Where should this new registry be located? Is 
>> it a néw registry on the IANA Matrix or is it a subregistry of an 
>> the existing sub-registry "Generic Transitive Experimental Use 
>> Extended Community Sub-Types"
>> which has
>> Fourth, a new registry is to be created called the "Generic 
>> Transitive Experimental Use Extended Community Part 3 Sub-Types"
registry.
>> the existing sub-registry "Generic Transitive Experimental Use 
>> Extended Community Sub-Types"
>> which has
>> IANA understands that these four actions are the only ones required 
>> to be completed upon approval of this document.
>> 
>>> The IESG plans to make a decision in the next few weeks, and 
>>> solicits final comments on this action. Please send substantive 
>>> comments to the [email-masked] mailing lists by 2015-04-08. 
>>> Exceptionally, comments may be sent to [email-masked] instead. In 
>>> either case, please retain the beginning of the Subject line to 
>>> allow automated sorting.
>>> 
>>> Abstract
>>> 
>>>

---

From: Jeff Haas <[email-masked]>
Date: Fri, 10 Apr 2015 19:10:27 -0400

Sue,

> in parallel with the other processes. 

Since neither of our proposals were covered in the draft originally, it makes sense to go for an updated WGLC/IETF LC anyway.

Once IANA confirms that the updated text is clear, I'll issue -04 and you can start that.

-- Jeff

---

From: "Susan Hares" <[email-masked]>
Date: Fri, 10 Apr 2015 19:32:14 -0400

Jeff:

Yes, that is the best plan. 

Sue 

From: Jeff Haas [mailto:[email-masked]] 
Sent: Friday, April 10, 2015 7:10 PM
To: Susan Hares
Cc: [email-masked];
[email-masked]; [email-masked];
Alvaro Retana (aretana); Mach Chen; General Area Review Team
Subject: Re: [IANA #818133] Last Call:
<draft-ietf-idr-flowspec-redirect-rt-bis-03.txt> (Clarification of the
Flowspec Redirect Extended Community) to Proposed Standard

Sue,

Since neither of our proposals were covered in the draft originally, it
makes sense to go for an updated WGLC/IETF LC anyway.

Once IANA confirms that the updated text is clear, I'll issue -04 and you
can start that.

-- Jeff